# v1 (https://developer.godaddy.com/en/docs/references/rest/certificates/v1)

---
title: v1
description: ''
full: true
_openapi:
  toc:
    - depth: 2
      title: Create a pending order for certificate
      url: '#create-a-pending-order-for-certificate'
    - depth: 2
      title: Validate a pending order for certificate
      url: '#validate-a-pending-order-for-certificate'
    - depth: 2
      title: Retrieve certificate details
      url: '#retrieve-certificate-details'
    - depth: 2
      title: Retrieve all certificate actions
      url: '#retrieve-all-certificate-actions'
    - depth: 2
      title: Resend an email
      url: '#resend-an-email'
    - depth: 2
      title: Add alternate email address
      url: '#add-alternate-email-address'
    - depth: 2
      title: Resend email to email address
      url: '#resend-email-to-email-address'
    - depth: 2
      title: Retrieve email history
      url: '#retrieve-email-history'
    - depth: 2
      title: Retrieve system stateful action callback url
      url: '#retrieve-system-stateful-action-callback-url'
    - depth: 2
      title: Unregister system callback
      url: '#unregister-system-callback'
    - depth: 2
      title: Register of certificate action callback
      url: '#register-of-certificate-action-callback'
    - depth: 2
      title: Cancel a pending certificate
      url: '#cancel-a-pending-certificate'
    - depth: 2
      title: Download certificate
      url: '#download-certificate'
    - depth: 2
      title: Reissue active certificate
      url: '#reissue-active-certificate'
    - depth: 2
      title: Renew active certificate
      url: '#renew-active-certificate'
    - depth: 2
      title: Revoke active certificate
      url: '#revoke-active-certificate'
    - depth: 2
      title: Get Site seal
      url: '#get-site-seal'
    - depth: 2
      title: Check Domain Control
      url: '#check-domain-control'
  structuredData:
    headings:
      - content: Create a pending order for certificate
        id: create-a-pending-order-for-certificate
      - content: Validate a pending order for certificate
        id: validate-a-pending-order-for-certificate
      - content: Retrieve certificate details
        id: retrieve-certificate-details
      - content: Retrieve all certificate actions
        id: retrieve-all-certificate-actions
      - content: Resend an email
        id: resend-an-email
      - content: Add alternate email address
        id: add-alternate-email-address
      - content: Resend email to email address
        id: resend-email-to-email-address
      - content: Retrieve email history
        id: retrieve-email-history
      - content: Retrieve system stateful action callback url
        id: retrieve-system-stateful-action-callback-url
      - content: Unregister system callback
        id: unregister-system-callback
      - content: Register of certificate action callback
        id: register-of-certificate-action-callback
      - content: Cancel a pending certificate
        id: cancel-a-pending-certificate
      - content: Download certificate
        id: download-certificate
      - content: Reissue active certificate
        id: reissue-active-certificate
      - content: Renew active certificate
        id: renew-active-certificate
      - content: Revoke active certificate
        id: revoke-active-certificate
      - content: Get Site seal
        id: get-site-seal
      - content: Check Domain Control
        id: check-domain-control
    contents:
      - content: >-
          <p>Creating a certificate order can be a long running asynchronous
          operation in the PKI workflow. The PKI API supports 2 options for
          getting the completion stateful actions for this asynchronous
          operations: 1) by polling operations -- see
          /v1/certificates//actions 2) via WebHook style callback
          -- see '/v1/certificates//callback'.</p>
        heading: create-a-pending-order-for-certificate
      - content: >-
          Once the certificate order has been created, this method can be used
          to check the status of the certificate. This method can also be used
          to retrieve details of the certificate.
        heading: retrieve-certificate-details
      - content: >-
          This method is used to retrieve all stateful actions relating to a
          certificate lifecycle.
        heading: retrieve-all-certificate-actions
      - content: >-
          This method can be used to resend emails by providing the certificate
          id and the email id
        heading: resend-an-email
      - content: >-
          This method adds an alternate email address to a certificate order and
          re-sends all existing request emails to that address.
        heading: add-alternate-email-address
      - content: >-
          This method can be used to resend emails by providing the certificate
          id, the email id, and the recipient email address
        heading: resend-email-to-email-address
      - content: This method can be used to retrieve all emails sent for a certificate.
        heading: retrieve-email-history
      - content: >-
          This method is used to retrieve the registered callback url for a
          certificate.
        heading: retrieve-system-stateful-action-callback-url
      - content: Unregister the callback for a particular certificate.
        heading: unregister-system-callback
      - content: >-
          This method is used to register/replace url for callbacks for stateful
          actions relating to a certificate lifecycle. The callback url is a
          Webhook style pattern and will receive POST http requests with json
          body defined in the CertificateAction model definition for each
          certificate action.  Only one callback URL is allowed to be registered
          for each certificateId, so it will replace a previous registration.
        heading: register-of-certificate-action-callback
      - content: Use the cancel call to cancel a pending certificate order.
        heading: cancel-a-pending-certificate
      - content: >-
          <p>Rekeying is the process by which the private and public key is
          changed for a certificate. It is a simplified reissue,where only the
          CSR is changed. Reissuing is the process by which domain names are
          added or removed from a certificate.Once a request is validated and
          approved, the certificate will be reissued with the new common name
          and sans specified. Unlimited reissues are available during the
          lifetime of the certificate.New names added to a certificate that do
          not share the base domain of the common name may take additional time
          to validate. If this API call is made before a previous pending
          reissue has been validated and issued, the previous reissue request is
          automatically rejected and replaced with the current request.</p>
        heading: reissue-active-certificate
      - content: >-
          Renewal is the process by which the validity of a certificate is
          extended. Renewal is only available 60 days prior to expiration of the
          previous certificate and 30 days after the expiration of the previous
          certificate. The renewal supports modifying a set of the original
          certificate order information. Once a request is validated and
          approved, the certificate will be issued with extended validity. Since
          subject alternative names can be removed during a renewal, we require
          that you provide the subject alternative names you expect in the
          renewed certificate. New names added to a certificate that do not
          share the base domain of the common name may take additional time to
          validate. </p>
        heading: renew-active-certificate
      - content: >-
          Use revoke call to revoke an active certificate, if the certificate
          has not been issued a 404 response will be returned.
        heading: revoke-active-certificate
      - content: >-
          <p>This method is used to obtain the site seal information for an
          issued certificate. A site seal is a graphic that the certificate
          purchaser can embed on their web site to show their visitors
          information about their SSL certificate. If a web site visitor clicks
          on the site seal image, a pop-up page is displayed that contains
          detailed information about the SSL certificate. The site seal token is
          used to link the site seal graphic image to the appropriate
          certificate details pop-up page display when a user clicks on the site
          seal. The site seal images are expected to be static images and hosted
          on the reseller's website, to minimize delays for customer page load
          times.</p>
        heading: get-site-seal
      - content: >-
          Domain control is a means for verifying the domain included in the
          certificate order. This resource is useful for resellers that control
          the domains for their customers, and can expedite the verification
          process. See
          https://www.godaddy.com/help/verifying-your-domain-ownership-for-ssl-certificate-requests-html-or-dns-7452
        heading: check-domain-control
---

## POST /v1/certificates

Create a pending order for certificate

<p>Creating a certificate order can be a long running asynchronous operation in the PKI workflow. The PKI API supports 2 options for getting the completion stateful actions for this asynchronous operations: 1) by polling operations -- see /v1/certificates/{certificateId}/actions 2) via WebHook style callback -- see '/v1/certificates/{certificateId}/callback'.</p>

### Header parameters

| Name | Type | Required | Description |
|------|------|----------|-------------|
| `X-Market-Id` | string | no | Setting locale for communications such as emails and error messages |

### Request body (required)

The certificate order information

Content-Type: `application/json`

Schema:

- object
  - `callbackUrl`: string — Required if client would like to receive stateful actions via callback during certificate lifecyle
  - `commonName`: string — Name to be secured in certificate. If provided, CN field in CSR will be ignored.
  - `contact` (required): object
      - `email` (required): string — Email address of requestor contact
      - `jobTitle`: string — Only used for EVSSL. Job title of requestor contact
      - `nameFirst` (required): string — First name of requestor contact
      - `nameLast` (required): string — Last name of requestor contact
      - `nameMiddle`: string — Middle initial of requestor contact
      - `phone` (required): string — Phone number for requestor contact
      - `suffix`: string — Suffix of requestor contact
  - `csr` (required): string — Certificate Signing Request
  - `intelVPro`: boolean — Only used for OV
  - `organization`: object
      - `address`: object
          - `address1` (required): string — Address line 1 of organization address
          - `address2`: string — Address line 2 of organization address
          - `city`: string — City/Locality of organization address
          - `country` (required): string <iso-country-code> — Two character country code of organization
            - enum: "AC", "AD", "AE", "AF", "AG", "AI", "AL", "AM", "AN", "AO", "AQ", "AR", "AS", "AT", "AU", "AW", "AZ", "BA", "BB", "BD", "BE", "BF", "BG", "BH", "BI", "BJ", "BM", "BN", "BO", "BR", "BS", "BT", "BV", "BW", "BY", "BZ", "CA", "CC", "CD", "CF", "CG", "CH", "CI", "CK", "CL", "CM", "CN", "CO", "CR", "CV", "CX", "CY", "CZ", "DE", "DJ", "DK", "DM", "DO", "DZ", "EC", "EE", "EG", "EH", "ER", "ES", "ET", "FI", "FJ", "FK", "FM", "FO", "FR", "GA", "GB", "GD", "GE", "GF", "GG", "GH", "GI", "GL", "GM", "GN", "GP", "GQ", "GR", "GS", "GT", "GU", "GW", "GY", "HK", "HM", "HN", "HR", "HT", "HU", "ID", "IE", "IL", "IM", "IN", "IO", "IQ", "IS", "IT", "JE", "JM", "JO", "JP", "KE", "KG", "KH", "KI", "KM", "KN", "KR", "KW", "KY", "KZ", "LA", "LB", "LC", "LI", "LK", "LR", "LS", "LT", "LU", "LV", "LY", "MA", "MC", "MD", "ME", "MG", "MH", "ML", "MM", "MN", "MO", "MP", "MQ", "MR", "MS", "MT", "MU", "MV", "MW", "MX", "MY", "MZ", "NA", "NC", "NE", "NF", "NG", "NI", "NL", false, "NP", "NR", "NU", "NZ", "OM", "PA", "PE", "PF", "PG", "PH", "PK", "PL", "PM", "PN", "PR", "PS", "PT", "PW", "PY", "QA", "RE", "RO", "RS", "RU", "RW", "SA", "SB", "SC", "SE", "SG", "SH", "SI", "SJ", "SK", "SL", "SM", "SN", "SO", "SR", "ST", "SV", "SZ", "TC", "TD", "TF", "TG", "TH", "TJ", "TK", "TL", "TM", "TN", "TO", "TP", "TR", "TT", "TV", "TW", "TZ", "UA", "UG", "UM", "US", "UY", "UZ", "VA", "VC", "VE", "VG", "VI", "VN", "VU", "WF", "WS", "YE", "YT", "YU", "ZA", "ZM", "ZW"
          - `postalCode`: string — Postal code of organization address
          - `state`: string — Full name of State/Province/Territory of organization address
      - `assumedName`: string — Only for EVSSL. The DBA(does business as) name for the organization.
      - `name` (required): string — Name of organization that owns common name
      - `phone` (required): string — Phone number for organization
      - `registrationAgent`: string — Only for EVSSL.
      - `registrationNumber`: string — Only for EVSSL.
  - `period` (required): integer — Number of years for certificate validity period
  - `productType` (required): string — Type of product requesting a certificate. Only required non-renewal
    - enum: "DV_SSL", "DV_WILDCARD_SSL", "EV_SSL", "OV_CS", "OV_DS", "OV_SSL", "OV_WILDCARD_SSL", "UCC_DV_SSL", "UCC_EV_SSL", "UCC_OV_SSL"
  - `rootType`: string — Root Type. Depending on certificate expiration date, SHA_1 not be allowed. Will default to SHA_2 if expiration date exceeds sha1 allowed date
    - enum: "GODADDY_SHA_1", "GODADDY_SHA_2", "STARFIELD_SHA_1", "STARFIELD_SHA_2"
  - `slotSize`: string — Number of subject alternative names(SAN) to be included in certificate
    - enum: "FIVE", "TEN", "FIFTEEN", "TWENTY", "THIRTY", "FOURTY", "FIFTY", "ONE_HUNDRED"
  - `subjectAlternativeNames`: array — Subject Alternative names. Collection of subjectAlternativeNames to be included in certificate.
      - items:

### Responses

**202** — Request was successful

Content-Type: `application/json`

Schema:

- object
  - `certificateId` (required): string — The unique identifier of the certificate request. Only present if verified.

**400** — Request was malformed

Content-Type: `application/json`

Schema:

- object
  - `code` (required): string <constant> — Short identifier for the error, suitable for indicating the specific error within client code
  - `fields`: array — List of the specific fields, and the errors found with their contents
      - items:
          - `code` (required): string <constant> — Short identifier for the error, suitable for indicating the specific error within client code
          - `message`: string — Description of the problem with the contents of the field
          - `path` (required): string <json-path> — JSONPath referring to the field within the submitted data containing an error
  - `message`: string — Description of the error

**401** — Authentication info not sent or invalid

Content-Type: `application/json`

Schema:

- object
  - `code` (required): string <constant> — Short identifier for the error, suitable for indicating the specific error within client code
  - `fields`: array — List of the specific fields, and the errors found with their contents
      - items:
          - `code` (required): string <constant> — Short identifier for the error, suitable for indicating the specific error within client code
          - `message`: string — Description of the problem with the contents of the field
          - `path` (required): string <json-path> — JSONPath referring to the field within the submitted data containing an error
  - `message`: string — Description of the error

**403** — Authenticated user is not allowed access

Content-Type: `application/json`

Schema:

- object
  - `code` (required): string <constant> — Short identifier for the error, suitable for indicating the specific error within client code
  - `fields`: array — List of the specific fields, and the errors found with their contents
      - items:
          - `code` (required): string <constant> — Short identifier for the error, suitable for indicating the specific error within client code
          - `message`: string — Description of the problem with the contents of the field
          - `path` (required): string <json-path> — JSONPath referring to the field within the submitted data containing an error
  - `message`: string — Description of the error

**409** — Certificate state does not allow renew

Content-Type: `application/json`

Schema:

- object
  - `code` (required): string <constant> — Short identifier for the error, suitable for indicating the specific error within client code
  - `fields`: array — List of the specific fields, and the errors found with their contents
      - items:
          - `code` (required): string <constant> — Short identifier for the error, suitable for indicating the specific error within client code
          - `message`: string — Description of the problem with the contents of the field
          - `path` (required): string <json-path> — JSONPath referring to the field within the submitted data containing an error
  - `message`: string — Description of the error

**422** — `email` is not empty<br>`csr` is invalid

Content-Type: `application/json`

Schema:

- object
  - `code` (required): string <constant> — Short identifier for the error, suitable for indicating the specific error within client code
  - `fields`: array — List of the specific fields, and the errors found with their contents
      - items:
          - `code` (required): string <constant> — Short identifier for the error, suitable for indicating the specific error within client code
          - `message`: string — Description of the problem with the contents of the field
          - `path` (required): string <json-path> — JSONPath referring to the field within the submitted data containing an error
  - `message`: string — Description of the error

**500** — Internal server error

Content-Type: `application/json`

Schema:

- object
  - `code` (required): string <constant> — Short identifier for the error, suitable for indicating the specific error within client code
  - `fields`: array — List of the specific fields, and the errors found with their contents
      - items:
          - `code` (required): string <constant> — Short identifier for the error, suitable for indicating the specific error within client code
          - `message`: string — Description of the problem with the contents of the field
          - `path` (required): string <json-path> — JSONPath referring to the field within the submitted data containing an error
  - `message`: string — Description of the error

## POST /v1/certificates/validate

Validate a pending order for certificate

### Header parameters

| Name | Type | Required | Description |
|------|------|----------|-------------|
| `X-Market-Id` | string | no | Setting locale for communications such as emails and error messages |

### Request body (required)

The certificate order info

Content-Type: `application/json`

Schema:

- object
  - `callbackUrl`: string — Required if client would like to receive stateful actions via callback during certificate lifecyle
  - `commonName`: string — Name to be secured in certificate. If provided, CN field in CSR will be ignored.
  - `contact` (required): object
      - `email` (required): string — Email address of requestor contact
      - `jobTitle`: string — Only used for EVSSL. Job title of requestor contact
      - `nameFirst` (required): string — First name of requestor contact
      - `nameLast` (required): string — Last name of requestor contact
      - `nameMiddle`: string — Middle initial of requestor contact
      - `phone` (required): string — Phone number for requestor contact
      - `suffix`: string — Suffix of requestor contact
  - `csr` (required): string — Certificate Signing Request
  - `intelVPro`: boolean — Only used for OV
  - `organization`: object
      - `address`: object
          - `address1` (required): string — Address line 1 of organization address
          - `address2`: string — Address line 2 of organization address
          - `city`: string — City/Locality of organization address
          - `country` (required): string <iso-country-code> — Two character country code of organization
            - enum: "AC", "AD", "AE", "AF", "AG", "AI", "AL", "AM", "AN", "AO", "AQ", "AR", "AS", "AT", "AU", "AW", "AZ", "BA", "BB", "BD", "BE", "BF", "BG", "BH", "BI", "BJ", "BM", "BN", "BO", "BR", "BS", "BT", "BV", "BW", "BY", "BZ", "CA", "CC", "CD", "CF", "CG", "CH", "CI", "CK", "CL", "CM", "CN", "CO", "CR", "CV", "CX", "CY", "CZ", "DE", "DJ", "DK", "DM", "DO", "DZ", "EC", "EE", "EG", "EH", "ER", "ES", "ET", "FI", "FJ", "FK", "FM", "FO", "FR", "GA", "GB", "GD", "GE", "GF", "GG", "GH", "GI", "GL", "GM", "GN", "GP", "GQ", "GR", "GS", "GT", "GU", "GW", "GY", "HK", "HM", "HN", "HR", "HT", "HU", "ID", "IE", "IL", "IM", "IN", "IO", "IQ", "IS", "IT", "JE", "JM", "JO", "JP", "KE", "KG", "KH", "KI", "KM", "KN", "KR", "KW", "KY", "KZ", "LA", "LB", "LC", "LI", "LK", "LR", "LS", "LT", "LU", "LV", "LY", "MA", "MC", "MD", "ME", "MG", "MH", "ML", "MM", "MN", "MO", "MP", "MQ", "MR", "MS", "MT", "MU", "MV", "MW", "MX", "MY", "MZ", "NA", "NC", "NE", "NF", "NG", "NI", "NL", false, "NP", "NR", "NU", "NZ", "OM", "PA", "PE", "PF", "PG", "PH", "PK", "PL", "PM", "PN", "PR", "PS", "PT", "PW", "PY", "QA", "RE", "RO", "RS", "RU", "RW", "SA", "SB", "SC", "SE", "SG", "SH", "SI", "SJ", "SK", "SL", "SM", "SN", "SO", "SR", "ST", "SV", "SZ", "TC", "TD", "TF", "TG", "TH", "TJ", "TK", "TL", "TM", "TN", "TO", "TP", "TR", "TT", "TV", "TW", "TZ", "UA", "UG", "UM", "US", "UY", "UZ", "VA", "VC", "VE", "VG", "VI", "VN", "VU", "WF", "WS", "YE", "YT", "YU", "ZA", "ZM", "ZW"
          - `postalCode`: string — Postal code of organization address
          - `state`: string — Full name of State/Province/Territory of organization address
      - `assumedName`: string — Only for EVSSL. The DBA(does business as) name for the organization.
      - `name` (required): string — Name of organization that owns common name
      - `phone` (required): string — Phone number for organization
      - `registrationAgent`: string — Only for EVSSL.
      - `registrationNumber`: string — Only for EVSSL.
  - `period` (required): integer — Number of years for certificate validity period
  - `productType` (required): string — Type of product requesting a certificate. Only required non-renewal
    - enum: "DV_SSL", "DV_WILDCARD_SSL", "EV_SSL", "OV_CS", "OV_DS", "OV_SSL", "OV_WILDCARD_SSL", "UCC_DV_SSL", "UCC_EV_SSL", "UCC_OV_SSL"
  - `rootType`: string — Root Type. Depending on certificate expiration date, SHA_1 not be allowed. Will default to SHA_2 if expiration date exceeds sha1 allowed date
    - enum: "GODADDY_SHA_1", "GODADDY_SHA_2", "STARFIELD_SHA_1", "STARFIELD_SHA_2"
  - `slotSize`: string — Number of subject alternative names(SAN) to be included in certificate
    - enum: "FIVE", "TEN", "FIFTEEN", "TWENTY", "THIRTY", "FOURTY", "FIFTY", "ONE_HUNDRED"
  - `subjectAlternativeNames`: array — Subject Alternative names. Collection of subjectAlternativeNames to be included in certificate.
      - items:

### Responses

**204** — Request validated successfully

**400** — Request was malformed

Content-Type: `application/json`

Schema:

- object
  - `code` (required): string <constant> — Short identifier for the error, suitable for indicating the specific error within client code
  - `fields`: array — List of the specific fields, and the errors found with their contents
      - items:
          - `code` (required): string <constant> — Short identifier for the error, suitable for indicating the specific error within client code
          - `message`: string — Description of the problem with the contents of the field
          - `path` (required): string <json-path> — JSONPath referring to the field within the submitted data containing an error
  - `message`: string — Description of the error

**401** — Authentication info not sent or invalid

Content-Type: `application/json`

Schema:

- object
  - `code` (required): string <constant> — Short identifier for the error, suitable for indicating the specific error within client code
  - `fields`: array — List of the specific fields, and the errors found with their contents
      - items:
          - `code` (required): string <constant> — Short identifier for the error, suitable for indicating the specific error within client code
          - `message`: string — Description of the problem with the contents of the field
          - `path` (required): string <json-path> — JSONPath referring to the field within the submitted data containing an error
  - `message`: string — Description of the error

**403** — Authenticated user is not allowed access

Content-Type: `application/json`

Schema:

- object
  - `code` (required): string <constant> — Short identifier for the error, suitable for indicating the specific error within client code
  - `fields`: array — List of the specific fields, and the errors found with their contents
      - items:
          - `code` (required): string <constant> — Short identifier for the error, suitable for indicating the specific error within client code
          - `message`: string — Description of the problem with the contents of the field
          - `path` (required): string <json-path> — JSONPath referring to the field within the submitted data containing an error
  - `message`: string — Description of the error

**409** — Certificate state does not allow renew

Content-Type: `application/json`

Schema:

- object
  - `code` (required): string <constant> — Short identifier for the error, suitable for indicating the specific error within client code
  - `fields`: array — List of the specific fields, and the errors found with their contents
      - items:
          - `code` (required): string <constant> — Short identifier for the error, suitable for indicating the specific error within client code
          - `message`: string — Description of the problem with the contents of the field
          - `path` (required): string <json-path> — JSONPath referring to the field within the submitted data containing an error
  - `message`: string — Description of the error

**422** — `email` is not empty <br> `csr` is invalid

Content-Type: `application/json`

Schema:

- object
  - `code` (required): string <constant> — Short identifier for the error, suitable for indicating the specific error within client code
  - `fields`: array — List of the specific fields, and the errors found with their contents
      - items:
          - `code` (required): string <constant> — Short identifier for the error, suitable for indicating the specific error within client code
          - `message`: string — Description of the problem with the contents of the field
          - `path` (required): string <json-path> — JSONPath referring to the field within the submitted data containing an error
  - `message`: string — Description of the error

**500** — Internal server error

Content-Type: `application/json`

Schema:

- object
  - `code` (required): string <constant> — Short identifier for the error, suitable for indicating the specific error within client code
  - `fields`: array — List of the specific fields, and the errors found with their contents
      - items:
          - `code` (required): string <constant> — Short identifier for the error, suitable for indicating the specific error within client code
          - `message`: string — Description of the problem with the contents of the field
          - `path` (required): string <json-path> — JSONPath referring to the field within the submitted data containing an error
  - `message`: string — Description of the error

## GET /v1/certificates/{certificateId}

Retrieve certificate details

Once the certificate order has been created, this method can be used to check the status of the certificate. This method can also be used to retrieve details of the certificate.

### Path parameters

| Name | Type | Required | Description |
|------|------|----------|-------------|
| `certificateId` | string | yes | Certificate id to lookup |

### Responses

**200** — Certificate details retrieved

Content-Type: `application/json`

Schema:

- object
  - `certificateId` (required): string — The unique identifier of the certificate request. Only present if no errors returned
  - `commonName`: string — Common name of certificate
  - `contact` (required): object
      - `email` (required): string — Email address of requestor contact
      - `jobTitle`: string — Only used for EVSSL. Job title of requestor contact
      - `nameFirst` (required): string — First name of requestor contact
      - `nameLast` (required): string — Last name of requestor contact
      - `nameMiddle`: string — Middle initial of requestor contact
      - `phone` (required): string — Phone number for requestor contact
      - `suffix`: string — Suffix of requestor contact
  - `createdAt` (required): string <iso-datetime> — The date the certificate was ordered.
  - `deniedReason`: string — Only present if certificate order has been denied
  - `organization`: object
      - `address` (required): object
          - `address1` (required): string — Address line 1 of organization address
          - `address2`: string — Address line 2 of organization address
          - `city`: string — City/Locality of organization address
          - `country` (required): string <iso-country-code> — Two character country code of organization
            - enum: "AC", "AD", "AE", "AF", "AG", "AI", "AL", "AM", "AN", "AO", "AQ", "AR", "AS", "AT", "AU", "AW", "AZ", "BA", "BB", "BD", "BE", "BF", "BG", "BH", "BI", "BJ", "BM", "BN", "BO", "BR", "BS", "BT", "BV", "BW", "BY", "BZ", "CA", "CC", "CD", "CF", "CG", "CH", "CI", "CK", "CL", "CM", "CN", "CO", "CR", "CV", "CX", "CY", "CZ", "DE", "DJ", "DK", "DM", "DO", "DZ", "EC", "EE", "EG", "EH", "ER", "ES", "ET", "FI", "FJ", "FK", "FM", "FO", "FR", "GA", "GB", "GD", "GE", "GF", "GG", "GH", "GI", "GL", "GM", "GN", "GP", "GQ", "GR", "GS", "GT", "GU", "GW", "GY", "HK", "HM", "HN", "HR", "HT", "HU", "ID", "IE", "IL", "IM", "IN", "IO", "IQ", "IS", "IT", "JE", "JM", "JO", "JP", "KE", "KG", "KH", "KI", "KM", "KN", "KR", "KW", "KY", "KZ", "LA", "LB", "LC", "LI", "LK", "LR", "LS", "LT", "LU", "LV", "LY", "MA", "MC", "MD", "ME", "MG", "MH", "ML", "MM", "MN", "MO", "MP", "MQ", "MR", "MS", "MT", "MU", "MV", "MW", "MX", "MY", "MZ", "NA", "NC", "NE", "NF", "NG", "NI", "NL", false, "NP", "NR", "NU", "NZ", "OM", "PA", "PE", "PF", "PG", "PH", "PK", "PL", "PM", "PN", "PR", "PS", "PT", "PW", "PY", "QA", "RE", "RO", "RS", "RU", "RW", "SA", "SB", "SC", "SE", "SG", "SH", "SI", "SJ", "SK", "SL", "SM", "SN", "SO", "SR", "ST", "SV", "SZ", "TC", "TD", "TF", "TG", "TH", "TJ", "TK", "TL", "TM", "TN", "TO", "TP", "TR", "TT", "TV", "TW", "TZ", "UA", "UG", "UM", "US", "UY", "UZ", "VA", "VC", "VE", "VG", "VI", "VN", "VU", "WF", "WS", "YE", "YT", "YU", "ZA", "ZM", "ZW"
          - `postalCode`: string — Postal code of organization address
          - `state`: string — Full name of State/Province/Territory of organization address
      - `assumedName`: string — Only for EVSSL. The DBA(does business as) name for the organization.
      - `jurisdictionOfIncorporation`: object
          - `city`: string
          - `country` (required): string <iso-country-code>
          - `county`: string
          - `state`: string
      - `name` (required): string — Name of organization that owns common name
      - `phone` (required): string — Phone number for organization
      - `registrationAgent`: string — Only for EVSSL.
      - `registrationNumber`: string — Only for EVSSL.
  - `period` (required): integer — Validity period of order. Specified in years
  - `productType` (required): string — Certificate product type
    - enum: "DV_SSL", "DV_WILDCARD_SSL", "EV_SSL", "OV_CS", "OV_DS", "OV_SSL", "OV_WILDCARD_SSL", "UCC_DV_SSL", "UCC_EV_SSL", "UCC_OV_SSL"
  - `progress`: integer — Percentage of completion for certificate vetting
  - `revokedAt`: string <iso-datetime> — The revocation date of certificate (if revoked).
  - `rootType`: string — Root Type
    - enum: "GODADDY_SHA_1", "GODADDY_SHA_2", "STARFIELD_SHA_1", "STARFIELD_SHA_2"
  - `serialNumber`: string — Serial number of certificate (if issued or revoked)
  - `serialNumberHex`: string — Hexadecmial format for Serial number of certificate(if issued or revoked)
  - `slotSize`: string — Number of subject alternative names(SAN) to be included in certificate
    - enum: "FIVE", "TEN", "FIFTEEN", "TWENTY", "THIRTY", "FOURTY", "FIFTY", "ONE_HUNDRED"
  - `status` (required): string — Status of certificate
    - enum: "PENDING_ISSUANCE", "ISSUED", "REVOKED", "CANCELED", "DENIED", "PENDING_REVOCATION", "PENDING_REKEY", "UNUSED", "EXPIRED"
  - `subjectAlternativeNames`: array — Contains subject alternative names set
      - items:
          - `status` (required): string — Total number of page results
            - enum: "PENDING", "INVALID", "COMPLETED", "FRAUD"
          - `subjectAlternativeName` (required): string — Subject alternative name to be included in certificate
  - `validEnd`: string <iso-datetime> — The end date of the certificate's validity (if issued or revoked).
  - `validStart`: string <iso-datetime> — The start date of the certificate's validity (if issued or revoked).

**400** — Request was malformed

Content-Type: `application/json`

Schema:

- object
  - `code` (required): string <constant> — Short identifier for the error, suitable for indicating the specific error within client code
  - `fields`: array — List of the specific fields, and the errors found with their contents
      - items:
          - `code` (required): string <constant> — Short identifier for the error, suitable for indicating the specific error within client code
          - `message`: string — Description of the problem with the contents of the field
          - `path` (required): string <json-path> — JSONPath referring to the field within the submitted data containing an error
  - `message`: string — Description of the error

**401** — Authentication info not sent or invalid

Content-Type: `application/json`

Schema:

- object
  - `code` (required): string <constant> — Short identifier for the error, suitable for indicating the specific error within client code
  - `fields`: array — List of the specific fields, and the errors found with their contents
      - items:
          - `code` (required): string <constant> — Short identifier for the error, suitable for indicating the specific error within client code
          - `message`: string — Description of the problem with the contents of the field
          - `path` (required): string <json-path> — JSONPath referring to the field within the submitted data containing an error
  - `message`: string — Description of the error

**403** — Authenticated user is not allowed access

Content-Type: `application/json`

Schema:

- object
  - `code` (required): string <constant> — Short identifier for the error, suitable for indicating the specific error within client code
  - `fields`: array — List of the specific fields, and the errors found with their contents
      - items:
          - `code` (required): string <constant> — Short identifier for the error, suitable for indicating the specific error within client code
          - `message`: string — Description of the problem with the contents of the field
          - `path` (required): string <json-path> — JSONPath referring to the field within the submitted data containing an error
  - `message`: string — Description of the error

**404** — Certificate id not found

Content-Type: `application/json`

Schema:

- object
  - `code` (required): string <constant> — Short identifier for the error, suitable for indicating the specific error within client code
  - `fields`: array — List of the specific fields, and the errors found with their contents
      - items:
          - `code` (required): string <constant> — Short identifier for the error, suitable for indicating the specific error within client code
          - `message`: string — Description of the problem with the contents of the field
          - `path` (required): string <json-path> — JSONPath referring to the field within the submitted data containing an error
  - `message`: string — Description of the error

**500** — Internal server error

Content-Type: `application/json`

Schema:

- object
  - `code` (required): string <constant> — Short identifier for the error, suitable for indicating the specific error within client code
  - `fields`: array — List of the specific fields, and the errors found with their contents
      - items:
          - `code` (required): string <constant> — Short identifier for the error, suitable for indicating the specific error within client code
          - `message`: string — Description of the problem with the contents of the field
          - `path` (required): string <json-path> — JSONPath referring to the field within the submitted data containing an error
  - `message`: string — Description of the error

## GET /v1/certificates/{certificateId}/actions

Retrieve all certificate actions

This method is used to retrieve all stateful actions relating to a certificate lifecycle.

### Path parameters

| Name | Type | Required | Description |
|------|------|----------|-------------|
| `certificateId` | string | yes | Certificate id to register for callback |

### Responses

**200** — Action retrieval successful

Content-Type: `application/json`

Schema:

- array
  - items:
      - `createdAt` (required): string <iso-datetime> — Date action created
      - `type` (required): string
        - enum: "CERTIFICATE_ISSUED", "CERTIFICATE_ORDER_CANCELED", "CERTIFICATE_ORDER_CREATED", "CERTIFICATE_REVOKED", "DOMAIN_VALIDATION_COMPLETE", "FRAUD_DETECTED", "ORG_NAME_CHANGE", "ORG_VALIDATION_COMPLETE", "SAN_DROP"

**400** — Request was malformed

Content-Type: `application/json`

Schema:

- object
  - `code` (required): string <constant> — Short identifier for the error, suitable for indicating the specific error within client code
  - `fields`: array — List of the specific fields, and the errors found with their contents
      - items:
          - `code` (required): string <constant> — Short identifier for the error, suitable for indicating the specific error within client code
          - `message`: string — Description of the problem with the contents of the field
          - `path` (required): string <json-path> — JSONPath referring to the field within the submitted data containing an error
  - `message`: string — Description of the error

**401** — Authentication info not sent or invalid

Content-Type: `application/json`

Schema:

- object
  - `code` (required): string <constant> — Short identifier for the error, suitable for indicating the specific error within client code
  - `fields`: array — List of the specific fields, and the errors found with their contents
      - items:
          - `code` (required): string <constant> — Short identifier for the error, suitable for indicating the specific error within client code
          - `message`: string — Description of the problem with the contents of the field
          - `path` (required): string <json-path> — JSONPath referring to the field within the submitted data containing an error
  - `message`: string — Description of the error

**403** — Authenticated user is not allowed access

Content-Type: `application/json`

Schema:

- object
  - `code` (required): string <constant> — Short identifier for the error, suitable for indicating the specific error within client code
  - `fields`: array — List of the specific fields, and the errors found with their contents
      - items:
          - `code` (required): string <constant> — Short identifier for the error, suitable for indicating the specific error within client code
          - `message`: string — Description of the problem with the contents of the field
          - `path` (required): string <json-path> — JSONPath referring to the field within the submitted data containing an error
  - `message`: string — Description of the error

**404** — Certificate not found

Content-Type: `application/json`

Schema:

- object
  - `code` (required): string <constant> — Short identifier for the error, suitable for indicating the specific error within client code
  - `fields`: array — List of the specific fields, and the errors found with their contents
      - items:
          - `code` (required): string <constant> — Short identifier for the error, suitable for indicating the specific error within client code
          - `message`: string — Description of the problem with the contents of the field
          - `path` (required): string <json-path> — JSONPath referring to the field within the submitted data containing an error
  - `message`: string — Description of the error

**500** — Internal server error

Content-Type: `application/json`

Schema:

- object
  - `code` (required): string <constant> — Short identifier for the error, suitable for indicating the specific error within client code
  - `fields`: array — List of the specific fields, and the errors found with their contents
      - items:
          - `code` (required): string <constant> — Short identifier for the error, suitable for indicating the specific error within client code
          - `message`: string — Description of the problem with the contents of the field
          - `path` (required): string <json-path> — JSONPath referring to the field within the submitted data containing an error
  - `message`: string — Description of the error

## POST /v1/certificates/{certificateId}/email/{emailId}/resend

Resend an email

This method can be used to resend emails by providing the certificate id and the email id

### Path parameters

| Name | Type | Required | Description |
|------|------|----------|-------------|
| `certificateId` | string | yes | Certificate id to resend email |
| `emailId` | string | yes | Email id for email to resend |

### Responses

**204** — Email sent successfully

**404** — Certificate not found

Content-Type: `application/json`

Schema:

- object
  - `code` (required): string <constant> — Short identifier for the error, suitable for indicating the specific error within client code
  - `fields`: array — List of the specific fields, and the errors found with their contents
      - items:
          - `code` (required): string <constant> — Short identifier for the error, suitable for indicating the specific error within client code
          - `message`: string — Description of the problem with the contents of the field
          - `path` (required): string <json-path> — JSONPath referring to the field within the submitted data containing an error
  - `message`: string — Description of the error

**409** — Email Id not found

Content-Type: `application/json`

Schema:

- object
  - `code` (required): string <constant> — Short identifier for the error, suitable for indicating the specific error within client code
  - `fields`: array — List of the specific fields, and the errors found with their contents
      - items:
          - `code` (required): string <constant> — Short identifier for the error, suitable for indicating the specific error within client code
          - `message`: string — Description of the problem with the contents of the field
          - `path` (required): string <json-path> — JSONPath referring to the field within the submitted data containing an error
  - `message`: string — Description of the error

**500** — Internal server error

Content-Type: `application/json`

Schema:

- object
  - `code` (required): string <constant> — Short identifier for the error, suitable for indicating the specific error within client code
  - `fields`: array — List of the specific fields, and the errors found with their contents
      - items:
          - `code` (required): string <constant> — Short identifier for the error, suitable for indicating the specific error within client code
          - `message`: string — Description of the problem with the contents of the field
          - `path` (required): string <json-path> — JSONPath referring to the field within the submitted data containing an error
  - `message`: string — Description of the error

## POST /v1/certificates/{certificateId}/email/resend/{emailAddress}

Add alternate email address

This method adds an alternate email address to a certificate order and re-sends all existing request emails to that address.

### Path parameters

| Name | Type | Required | Description |
|------|------|----------|-------------|
| `certificateId` | string | yes | Certificate id to resend emails |
| `emailAddress` | string | yes | Specific email address to resend email |

### Responses

**200** — Alternate email address added and emails re-sent

Content-Type: `application/json`

Schema:

- object
  - `id` (required): integer — Email Id
  - `accountId` (required): integer — Shopper Id requested certificate
  - `templateType` (required): string — Email template type name
  - `fromType` (required): string — Email from address
  - `recipients` (required): string — Email address email was sent
  - `body` (required): string — Email message
  - `dateEntered` (required): string <iso-datetime> — Date email sent
  - `subject` (required): string — Email subject

**404** — Certificate not found

Content-Type: `application/json`

Schema:

- object
  - `code` (required): string <constant> — Short identifier for the error, suitable for indicating the specific error within client code
  - `fields`: array — List of the specific fields, and the errors found with their contents
      - items:
          - `code` (required): string <constant> — Short identifier for the error, suitable for indicating the specific error within client code
          - `message`: string — Description of the problem with the contents of the field
          - `path` (required): string <json-path> — JSONPath referring to the field within the submitted data containing an error
  - `message`: string — Description of the error

**409** — Certificate state does not allow alternate email address

Content-Type: `application/json`

Schema:

- object
  - `code` (required): string <constant> — Short identifier for the error, suitable for indicating the specific error within client code
  - `fields`: array — List of the specific fields, and the errors found with their contents
      - items:
          - `code` (required): string <constant> — Short identifier for the error, suitable for indicating the specific error within client code
          - `message`: string — Description of the problem with the contents of the field
          - `path` (required): string <json-path> — JSONPath referring to the field within the submitted data containing an error
  - `message`: string — Description of the error

**500** — Internal server error

Content-Type: `application/json`

Schema:

- object
  - `code` (required): string <constant> — Short identifier for the error, suitable for indicating the specific error within client code
  - `fields`: array — List of the specific fields, and the errors found with their contents
      - items:
          - `code` (required): string <constant> — Short identifier for the error, suitable for indicating the specific error within client code
          - `message`: string — Description of the problem with the contents of the field
          - `path` (required): string <json-path> — JSONPath referring to the field within the submitted data containing an error
  - `message`: string — Description of the error

## POST /v1/certificates/{certificateId}/email/{emailId}/resend/{emailAddress}

Resend email to email address

This method can be used to resend emails by providing the certificate id, the email id, and the recipient email address

### Path parameters

| Name | Type | Required | Description |
|------|------|----------|-------------|
| `certificateId` | string | yes | Certificate id to resend emails |
| `emailId` | string | yes | Email id for email to resend |
| `emailAddress` | string | yes | Specific email address to resend email |

### Responses

**204** — Email sent successfully

**404** — Certificate not found

Content-Type: `application/json`

Schema:

- object
  - `code` (required): string <constant> — Short identifier for the error, suitable for indicating the specific error within client code
  - `fields`: array — List of the specific fields, and the errors found with their contents
      - items:
          - `code` (required): string <constant> — Short identifier for the error, suitable for indicating the specific error within client code
          - `message`: string — Description of the problem with the contents of the field
          - `path` (required): string <json-path> — JSONPath referring to the field within the submitted data containing an error
  - `message`: string — Description of the error

**409** — Email Id not found

Content-Type: `application/json`

Schema:

- object
  - `code` (required): string <constant> — Short identifier for the error, suitable for indicating the specific error within client code
  - `fields`: array — List of the specific fields, and the errors found with their contents
      - items:
          - `code` (required): string <constant> — Short identifier for the error, suitable for indicating the specific error within client code
          - `message`: string — Description of the problem with the contents of the field
          - `path` (required): string <json-path> — JSONPath referring to the field within the submitted data containing an error
  - `message`: string — Description of the error

**500** — Internal server error

Content-Type: `application/json`

Schema:

- object
  - `code` (required): string <constant> — Short identifier for the error, suitable for indicating the specific error within client code
  - `fields`: array — List of the specific fields, and the errors found with their contents
      - items:
          - `code` (required): string <constant> — Short identifier for the error, suitable for indicating the specific error within client code
          - `message`: string — Description of the problem with the contents of the field
          - `path` (required): string <json-path> — JSONPath referring to the field within the submitted data containing an error
  - `message`: string — Description of the error

## GET /v1/certificates/{certificateId}/email/history

Retrieve email history

This method can be used to retrieve all emails sent for a certificate.

### Path parameters

| Name | Type | Required | Description |
|------|------|----------|-------------|
| `certificateId` | string | yes | Certificate id to retrieve email history |

### Responses

**200** — Email history retrieval successful

Content-Type: `application/json`

Schema:

- object
  - `id` (required): integer — Email Id
  - `accountId` (required): integer — Shopper Id requested certificate
  - `templateType` (required): string — Email template type name
  - `fromType` (required): string — Email from address
  - `recipients` (required): string — Email address email was sent
  - `body` (required): string — Email message
  - `dateEntered` (required): string <iso-datetime> — Date email sent
  - `subject` (required): string — Email subject

**409** — Email history not found

Content-Type: `application/json`

Schema:

- object
  - `code` (required): string <constant> — Short identifier for the error, suitable for indicating the specific error within client code
  - `fields`: array — List of the specific fields, and the errors found with their contents
      - items:
          - `code` (required): string <constant> — Short identifier for the error, suitable for indicating the specific error within client code
          - `message`: string — Description of the problem with the contents of the field
          - `path` (required): string <json-path> — JSONPath referring to the field within the submitted data containing an error
  - `message`: string — Description of the error

**500** — Internal server error

Content-Type: `application/json`

Schema:

- object
  - `code` (required): string <constant> — Short identifier for the error, suitable for indicating the specific error within client code
  - `fields`: array — List of the specific fields, and the errors found with their contents
      - items:
          - `code` (required): string <constant> — Short identifier for the error, suitable for indicating the specific error within client code
          - `message`: string — Description of the problem with the contents of the field
          - `path` (required): string <json-path> — JSONPath referring to the field within the submitted data containing an error
  - `message`: string — Description of the error

## GET /v1/certificates/{certificateId}/callback

Retrieve system stateful action callback url

This method is used to retrieve the registered callback url for a certificate.

### Path parameters

| Name | Type | Required | Description |
|------|------|----------|-------------|
| `certificateId` | string | yes | Certificate id to register for stateful action callback |

### Responses

**200** — Callback registered

Content-Type: `application/json`

Schema:

- object
  - `callbackUrl` (required): string — Callback url registered to receive stateful actions

**400** — Request was malformed

Content-Type: `application/json`

Schema:

- object
  - `code` (required): string <constant> — Short identifier for the error, suitable for indicating the specific error within client code
  - `fields`: array — List of the specific fields, and the errors found with their contents
      - items:
          - `code` (required): string <constant> — Short identifier for the error, suitable for indicating the specific error within client code
          - `message`: string — Description of the problem with the contents of the field
          - `path` (required): string <json-path> — JSONPath referring to the field within the submitted data containing an error
  - `message`: string — Description of the error

**401** — Authentication info not sent or invalid

Content-Type: `application/json`

Schema:

- object
  - `code` (required): string <constant> — Short identifier for the error, suitable for indicating the specific error within client code
  - `fields`: array — List of the specific fields, and the errors found with their contents
      - items:
          - `code` (required): string <constant> — Short identifier for the error, suitable for indicating the specific error within client code
          - `message`: string — Description of the problem with the contents of the field
          - `path` (required): string <json-path> — JSONPath referring to the field within the submitted data containing an error
  - `message`: string — Description of the error

**403** — Authenticated user is not allowed access

Content-Type: `application/json`

Schema:

- object
  - `code` (required): string <constant> — Short identifier for the error, suitable for indicating the specific error within client code
  - `fields`: array — List of the specific fields, and the errors found with their contents
      - items:
          - `code` (required): string <constant> — Short identifier for the error, suitable for indicating the specific error within client code
          - `message`: string — Description of the problem with the contents of the field
          - `path` (required): string <json-path> — JSONPath referring to the field within the submitted data containing an error
  - `message`: string — Description of the error

**404** — Certificate id not found

Content-Type: `application/json`

Schema:

- object
  - `code` (required): string <constant> — Short identifier for the error, suitable for indicating the specific error within client code
  - `fields`: array — List of the specific fields, and the errors found with their contents
      - items:
          - `code` (required): string <constant> — Short identifier for the error, suitable for indicating the specific error within client code
          - `message`: string — Description of the problem with the contents of the field
          - `path` (required): string <json-path> — JSONPath referring to the field within the submitted data containing an error
  - `message`: string — Description of the error

**500** — Internal server error

Content-Type: `application/json`

Schema:

- object
  - `code` (required): string <constant> — Short identifier for the error, suitable for indicating the specific error within client code
  - `fields`: array — List of the specific fields, and the errors found with their contents
      - items:
          - `code` (required): string <constant> — Short identifier for the error, suitable for indicating the specific error within client code
          - `message`: string — Description of the problem with the contents of the field
          - `path` (required): string <json-path> — JSONPath referring to the field within the submitted data containing an error
  - `message`: string — Description of the error

## DELETE /v1/certificates/{certificateId}/callback

Unregister system callback

Unregister the callback for a particular certificate.

### Path parameters

| Name | Type | Required | Description |
|------|------|----------|-------------|
| `certificateId` | string | yes | Certificate id to unregister callback |

### Responses

**204** — Callback removed

**400** — Request was malformed

Content-Type: `application/json`

Schema:

- object
  - `code` (required): string <constant> — Short identifier for the error, suitable for indicating the specific error within client code
  - `fields`: array — List of the specific fields, and the errors found with their contents
      - items:
          - `code` (required): string <constant> — Short identifier for the error, suitable for indicating the specific error within client code
          - `message`: string — Description of the problem with the contents of the field
          - `path` (required): string <json-path> — JSONPath referring to the field within the submitted data containing an error
  - `message`: string — Description of the error

**401** — Authentication info not sent or invalid

Content-Type: `application/json`

Schema:

- object
  - `code` (required): string <constant> — Short identifier for the error, suitable for indicating the specific error within client code
  - `fields`: array — List of the specific fields, and the errors found with their contents
      - items:
          - `code` (required): string <constant> — Short identifier for the error, suitable for indicating the specific error within client code
          - `message`: string — Description of the problem with the contents of the field
          - `path` (required): string <json-path> — JSONPath referring to the field within the submitted data containing an error
  - `message`: string — Description of the error

**403** — Authenticated user is not allowed access

Content-Type: `application/json`

Schema:

- object
  - `code` (required): string <constant> — Short identifier for the error, suitable for indicating the specific error within client code
  - `fields`: array — List of the specific fields, and the errors found with their contents
      - items:
          - `code` (required): string <constant> — Short identifier for the error, suitable for indicating the specific error within client code
          - `message`: string — Description of the problem with the contents of the field
          - `path` (required): string <json-path> — JSONPath referring to the field within the submitted data containing an error
  - `message`: string — Description of the error

**404** — Certificate id not found

Content-Type: `application/json`

Schema:

- object
  - `code` (required): string <constant> — Short identifier for the error, suitable for indicating the specific error within client code
  - `fields`: array — List of the specific fields, and the errors found with their contents
      - items:
          - `code` (required): string <constant> — Short identifier for the error, suitable for indicating the specific error within client code
          - `message`: string — Description of the problem with the contents of the field
          - `path` (required): string <json-path> — JSONPath referring to the field within the submitted data containing an error
  - `message`: string — Description of the error

**500** — Internal server error

Content-Type: `application/json`

Schema:

- object
  - `code` (required): string <constant> — Short identifier for the error, suitable for indicating the specific error within client code
  - `fields`: array — List of the specific fields, and the errors found with their contents
      - items:
          - `code` (required): string <constant> — Short identifier for the error, suitable for indicating the specific error within client code
          - `message`: string — Description of the problem with the contents of the field
          - `path` (required): string <json-path> — JSONPath referring to the field within the submitted data containing an error
  - `message`: string — Description of the error

## PUT /v1/certificates/{certificateId}/callback

Register of certificate action callback

This method is used to register/replace url for callbacks for stateful actions relating to a certificate lifecycle. The callback url is a Webhook style pattern and will receive POST http requests with json body defined in the CertificateAction model definition for each certificate action.  Only one callback URL is allowed to be registered for each certificateId, so it will replace a previous registration.

### Path parameters

| Name | Type | Required | Description |
|------|------|----------|-------------|
| `certificateId` | string | yes | Certificate id to register/replace for callback |

### Query parameters

| Name | Type | Required | Description |
|------|------|----------|-------------|
| `callbackUrl` | string | yes | Callback url registered/replaced to receive stateful actions |

### Responses

**204** — Callback replaced/registered

**400** — Request was malformed

Content-Type: `application/json`

Schema:

- object
  - `code` (required): string <constant> — Short identifier for the error, suitable for indicating the specific error within client code
  - `fields`: array — List of the specific fields, and the errors found with their contents
      - items:
          - `code` (required): string <constant> — Short identifier for the error, suitable for indicating the specific error within client code
          - `message`: string — Description of the problem with the contents of the field
          - `path` (required): string <json-path> — JSONPath referring to the field within the submitted data containing an error
  - `message`: string — Description of the error

**401** — Authentication info not sent or invalid

Content-Type: `application/json`

Schema:

- object
  - `code` (required): string <constant> — Short identifier for the error, suitable for indicating the specific error within client code
  - `fields`: array — List of the specific fields, and the errors found with their contents
      - items:
          - `code` (required): string <constant> — Short identifier for the error, suitable for indicating the specific error within client code
          - `message`: string — Description of the problem with the contents of the field
          - `path` (required): string <json-path> — JSONPath referring to the field within the submitted data containing an error
  - `message`: string — Description of the error

**403** — Authenticated user is not allowed access

Content-Type: `application/json`

Schema:

- object
  - `code` (required): string <constant> — Short identifier for the error, suitable for indicating the specific error within client code
  - `fields`: array — List of the specific fields, and the errors found with their contents
      - items:
          - `code` (required): string <constant> — Short identifier for the error, suitable for indicating the specific error within client code
          - `message`: string — Description of the problem with the contents of the field
          - `path` (required): string <json-path> — JSONPath referring to the field within the submitted data containing an error
  - `message`: string — Description of the error

**404** — Certificate id not found

Content-Type: `application/json`

Schema:

- object
  - `code` (required): string <constant> — Short identifier for the error, suitable for indicating the specific error within client code
  - `fields`: array — List of the specific fields, and the errors found with their contents
      - items:
          - `code` (required): string <constant> — Short identifier for the error, suitable for indicating the specific error within client code
          - `message`: string — Description of the problem with the contents of the field
          - `path` (required): string <json-path> — JSONPath referring to the field within the submitted data containing an error
  - `message`: string — Description of the error

**422** — Callback url is missing <br> Callback url is malformed

Content-Type: `application/json`

Schema:

- object
  - `code` (required): string <constant> — Short identifier for the error, suitable for indicating the specific error within client code
  - `fields`: array — List of the specific fields, and the errors found with their contents
      - items:
          - `code` (required): string <constant> — Short identifier for the error, suitable for indicating the specific error within client code
          - `message`: string — Description of the problem with the contents of the field
          - `path` (required): string <json-path> — JSONPath referring to the field within the submitted data containing an error
  - `message`: string — Description of the error

**500** — Internal server error

Content-Type: `application/json`

Schema:

- object
  - `code` (required): string <constant> — Short identifier for the error, suitable for indicating the specific error within client code
  - `fields`: array — List of the specific fields, and the errors found with their contents
      - items:
          - `code` (required): string <constant> — Short identifier for the error, suitable for indicating the specific error within client code
          - `message`: string — Description of the problem with the contents of the field
          - `path` (required): string <json-path> — JSONPath referring to the field within the submitted data containing an error
  - `message`: string — Description of the error

## POST /v1/certificates/{certificateId}/cancel

Cancel a pending certificate

Use the cancel call to cancel a pending certificate order.

### Path parameters

| Name | Type | Required | Description |
|------|------|----------|-------------|
| `certificateId` | string | yes | Certificate id to cancel |

### Responses

**204** — Certificate order has been canceled

**401** — Authentication info not sent or invalid

Content-Type: `application/json`

Schema:

- object
  - `code` (required): string <constant> — Short identifier for the error, suitable for indicating the specific error within client code
  - `fields`: array — List of the specific fields, and the errors found with their contents
      - items:
          - `code` (required): string <constant> — Short identifier for the error, suitable for indicating the specific error within client code
          - `message`: string — Description of the problem with the contents of the field
          - `path` (required): string <json-path> — JSONPath referring to the field within the submitted data containing an error
  - `message`: string — Description of the error

**403** — Authenticated user is not allowed access

Content-Type: `application/json`

Schema:

- object
  - `code` (required): string <constant> — Short identifier for the error, suitable for indicating the specific error within client code
  - `fields`: array — List of the specific fields, and the errors found with their contents
      - items:
          - `code` (required): string <constant> — Short identifier for the error, suitable for indicating the specific error within client code
          - `message`: string — Description of the problem with the contents of the field
          - `path` (required): string <json-path> — JSONPath referring to the field within the submitted data containing an error
  - `message`: string — Description of the error

**404** — Certificate id not found

Content-Type: `application/json`

Schema:

- object
  - `code` (required): string <constant> — Short identifier for the error, suitable for indicating the specific error within client code
  - `fields`: array — List of the specific fields, and the errors found with their contents
      - items:
          - `code` (required): string <constant> — Short identifier for the error, suitable for indicating the specific error within client code
          - `message`: string — Description of the problem with the contents of the field
          - `path` (required): string <json-path> — JSONPath referring to the field within the submitted data containing an error
  - `message`: string — Description of the error

**409** — Certificate state does not allow cancel

Content-Type: `application/json`

Schema:

- object
  - `code` (required): string <constant> — Short identifier for the error, suitable for indicating the specific error within client code
  - `fields`: array — List of the specific fields, and the errors found with their contents
      - items:
          - `code` (required): string <constant> — Short identifier for the error, suitable for indicating the specific error within client code
          - `message`: string — Description of the problem with the contents of the field
          - `path` (required): string <json-path> — JSONPath referring to the field within the submitted data containing an error
  - `message`: string — Description of the error

**500** — Internal server error

Content-Type: `application/json`

Schema:

- object
  - `code` (required): string <constant> — Short identifier for the error, suitable for indicating the specific error within client code
  - `fields`: array — List of the specific fields, and the errors found with their contents
      - items:
          - `code` (required): string <constant> — Short identifier for the error, suitable for indicating the specific error within client code
          - `message`: string — Description of the problem with the contents of the field
          - `path` (required): string <json-path> — JSONPath referring to the field within the submitted data containing an error
  - `message`: string — Description of the error

## GET /v1/certificates/{certificateId}/download

Download certificate

### Path parameters

| Name | Type | Required | Description |
|------|------|----------|-------------|
| `certificateId` | string | yes | Certificate id to download |

### Responses

**200** — Certificate retrieved

Content-Type: `application/json`

Schema:

- object
  - `pems` (required): object
      - `certificate` (required): string — End entity certificate in PEM format
      - `cross`: string — CA Cross Intermediate certificate in PEM format
      - `intermediate`: string — CA Signing Intermediate certificate in PEM format
      - `root`: string — CA Root certificate in PEM format
  - `serialNumber` (required): string — Serial number of certificate requested

**400** — Request was malformed

Content-Type: `application/json`

Schema:

- object
  - `code` (required): string <constant> — Short identifier for the error, suitable for indicating the specific error within client code
  - `fields`: array — List of the specific fields, and the errors found with their contents
      - items:
          - `code` (required): string <constant> — Short identifier for the error, suitable for indicating the specific error within client code
          - `message`: string — Description of the problem with the contents of the field
          - `path` (required): string <json-path> — JSONPath referring to the field within the submitted data containing an error
  - `message`: string — Description of the error

**401** — Authentication info not sent or invalid

Content-Type: `application/json`

Schema:

- object
  - `code` (required): string <constant> — Short identifier for the error, suitable for indicating the specific error within client code
  - `fields`: array — List of the specific fields, and the errors found with their contents
      - items:
          - `code` (required): string <constant> — Short identifier for the error, suitable for indicating the specific error within client code
          - `message`: string — Description of the problem with the contents of the field
          - `path` (required): string <json-path> — JSONPath referring to the field within the submitted data containing an error
  - `message`: string — Description of the error

**403** — Authenticated user is not allowed access

Content-Type: `application/json`

Schema:

- object
  - `code` (required): string <constant> — Short identifier for the error, suitable for indicating the specific error within client code
  - `fields`: array — List of the specific fields, and the errors found with their contents
      - items:
          - `code` (required): string <constant> — Short identifier for the error, suitable for indicating the specific error within client code
          - `message`: string — Description of the problem with the contents of the field
          - `path` (required): string <json-path> — JSONPath referring to the field within the submitted data containing an error
  - `message`: string — Description of the error

**404** — Certificate id not found

Content-Type: `application/json`

Schema:

- object
  - `code` (required): string <constant> — Short identifier for the error, suitable for indicating the specific error within client code
  - `fields`: array — List of the specific fields, and the errors found with their contents
      - items:
          - `code` (required): string <constant> — Short identifier for the error, suitable for indicating the specific error within client code
          - `message`: string — Description of the problem with the contents of the field
          - `path` (required): string <json-path> — JSONPath referring to the field within the submitted data containing an error
  - `message`: string — Description of the error

**409** — Certificate state does not allow download

Content-Type: `application/json`

Schema:

- object
  - `code` (required): string <constant> — Short identifier for the error, suitable for indicating the specific error within client code
  - `fields`: array — List of the specific fields, and the errors found with their contents
      - items:
          - `code` (required): string <constant> — Short identifier for the error, suitable for indicating the specific error within client code
          - `message`: string — Description of the problem with the contents of the field
          - `path` (required): string <json-path> — JSONPath referring to the field within the submitted data containing an error
  - `message`: string — Description of the error

**500** — Internal server error

Content-Type: `application/json`

Schema:

- object
  - `code` (required): string <constant> — Short identifier for the error, suitable for indicating the specific error within client code
  - `fields`: array — List of the specific fields, and the errors found with their contents
      - items:
          - `code` (required): string <constant> — Short identifier for the error, suitable for indicating the specific error within client code
          - `message`: string — Description of the problem with the contents of the field
          - `path` (required): string <json-path> — JSONPath referring to the field within the submitted data containing an error
  - `message`: string — Description of the error

## POST /v1/certificates/{certificateId}/reissue

Reissue active certificate

<p>Rekeying is the process by which the private and public key is changed for a certificate. It is a simplified reissue,where only the CSR is changed. Reissuing is the process by which domain names are added or removed from a certificate.Once a request is validated and approved, the certificate will be reissued with the new common name and sans specified. Unlimited reissues are available during the lifetime of the certificate.New names added to a certificate that do not share the base domain of the common name may take additional time to validate. If this API call is made before a previous pending reissue has been validated and issued, the previous reissue request is automatically rejected and replaced with the current request.</p>

### Path parameters

| Name | Type | Required | Description |
|------|------|----------|-------------|
| `certificateId` | string | yes | Certificate id to reissue |

### Request body (required)

The reissue request info

Content-Type: `application/json`

Schema:

- object
  - `callbackUrl`: string — Required if client would like to receive stateful action via callback during certificate lifecyle
  - `commonName`: string — The common name of certificate to be secured
  - `csr`: string — Certificate Signing Request.
  - `delayExistingRevoke`: integer — In hours, time to delay revoking existing certificate after issuance of new certificate. If revokeExistingCertOnIssuance is enabled, this value will be ignored
  - `rootType`: string — Root Type. Depending on certificate expiration date, SHA_1 not be allowed. Will default to SHA_2 if expiration date exceeds sha1 allowed date
    - enum: "GODADDY_SHA_1", "GODADDY_SHA_2", "STARFIELD_SHA_1", "STARFIELD_SHA_2"
  - `subjectAlternativeNames`: array — Only used for UCC products. An array of subject alternative names to include in certificate.
      - items:
  - `forceDomainRevetting`: array — Optional field. Domain verification will be required for each domain listed here. Specify a value of * to indicate that all domains associated with the request should have their domain information reverified.
      - items:

### Responses

**202** — Reissue request created

**400** — Request was malformed

Content-Type: `application/json`

Schema:

- object
  - `code` (required): string <constant> — Short identifier for the error, suitable for indicating the specific error within client code
  - `fields`: array — List of the specific fields, and the errors found with their contents
      - items:
          - `code` (required): string <constant> — Short identifier for the error, suitable for indicating the specific error within client code
          - `message`: string — Description of the problem with the contents of the field
          - `path` (required): string <json-path> — JSONPath referring to the field within the submitted data containing an error
  - `message`: string — Description of the error

**401** — Authentication info not sent or invalid

Content-Type: `application/json`

Schema:

- object
  - `code` (required): string <constant> — Short identifier for the error, suitable for indicating the specific error within client code
  - `fields`: array — List of the specific fields, and the errors found with their contents
      - items:
          - `code` (required): string <constant> — Short identifier for the error, suitable for indicating the specific error within client code
          - `message`: string — Description of the problem with the contents of the field
          - `path` (required): string <json-path> — JSONPath referring to the field within the submitted data containing an error
  - `message`: string — Description of the error

**403** — Authenticated user is not allowed access

Content-Type: `application/json`

Schema:

- object
  - `code` (required): string <constant> — Short identifier for the error, suitable for indicating the specific error within client code
  - `fields`: array — List of the specific fields, and the errors found with their contents
      - items:
          - `code` (required): string <constant> — Short identifier for the error, suitable for indicating the specific error within client code
          - `message`: string — Description of the problem with the contents of the field
          - `path` (required): string <json-path> — JSONPath referring to the field within the submitted data containing an error
  - `message`: string — Description of the error

**404** — Certificate id not found

Content-Type: `application/json`

Schema:

- object
  - `code` (required): string <constant> — Short identifier for the error, suitable for indicating the specific error within client code
  - `fields`: array — List of the specific fields, and the errors found with their contents
      - items:
          - `code` (required): string <constant> — Short identifier for the error, suitable for indicating the specific error within client code
          - `message`: string — Description of the problem with the contents of the field
          - `path` (required): string <json-path> — JSONPath referring to the field within the submitted data containing an error
  - `message`: string — Description of the error

**409** — Certificate state does not allow reissue

Content-Type: `application/json`

Schema:

- object
  - `code` (required): string <constant> — Short identifier for the error, suitable for indicating the specific error within client code
  - `fields`: array — List of the specific fields, and the errors found with their contents
      - items:
          - `code` (required): string <constant> — Short identifier for the error, suitable for indicating the specific error within client code
          - `message`: string — Description of the problem with the contents of the field
          - `path` (required): string <json-path> — JSONPath referring to the field within the submitted data containing an error
  - `message`: string — Description of the error

**422** — `csr` is invalid<br>Delay revocation exceeds maximum

Content-Type: `application/json`

Schema:

- object
  - `code` (required): string <constant> — Short identifier for the error, suitable for indicating the specific error within client code
  - `fields`: array — List of the specific fields, and the errors found with their contents
      - items:
          - `code` (required): string <constant> — Short identifier for the error, suitable for indicating the specific error within client code
          - `message`: string — Description of the problem with the contents of the field
          - `path` (required): string <json-path> — JSONPath referring to the field within the submitted data containing an error
  - `message`: string — Description of the error

**500** — Internal server error

Content-Type: `application/json`

Schema:

- object
  - `code` (required): string <constant> — Short identifier for the error, suitable for indicating the specific error within client code
  - `fields`: array — List of the specific fields, and the errors found with their contents
      - items:
          - `code` (required): string <constant> — Short identifier for the error, suitable for indicating the specific error within client code
          - `message`: string — Description of the problem with the contents of the field
          - `path` (required): string <json-path> — JSONPath referring to the field within the submitted data containing an error
  - `message`: string — Description of the error

## POST /v1/certificates/{certificateId}/renew

Renew active certificate

Renewal is the process by which the validity of a certificate is extended. Renewal is only available 60 days prior to expiration of the previous certificate and 30 days after the expiration of the previous certificate. The renewal supports modifying a set of the original certificate order information. Once a request is validated and approved, the certificate will be issued with extended validity. Since subject alternative names can be removed during a renewal, we require that you provide the subject alternative names you expect in the renewed certificate. New names added to a certificate that do not share the base domain of the common name may take additional time to validate. </p>

### Path parameters

| Name | Type | Required | Description |
|------|------|----------|-------------|
| `certificateId` | string | yes | Certificate id to renew |

### Request body (required)

The renew request info

Content-Type: `application/json`

Schema:

- object
  - `callbackUrl`: string — Required if client would like to receive stateful actions via callback during certificate lifecyle
  - `commonName`: string — The common name of certificate to be secured
  - `csr`: string — Certificate Signing Request.
  - `period`: integer — Number of years for certificate validity period, if different from previous certificate
  - `rootType`: string — Root Type. Depending on certificate expiration date, SHA_1 not be allowed. Will default to SHA_2 if expiration date exceeds sha1 allowed date
    - enum: "GODADDY_SHA_1", "GODADDY_SHA_2", "STARFIELD_SHA_1", "STARFIELD_SHA_2"
  - `subjectAlternativeNames`: array — Only used for UCC products. An array of subject alternative names to include in certificate. Not including a subject alternative name that was in the previous certificate will remove it from the renewed certificate.
      - items:

### Responses

**202** — Renew request created

**400** — Request was malformed

Content-Type: `application/json`

Schema:

- object
  - `code` (required): string <constant> — Short identifier for the error, suitable for indicating the specific error within client code
  - `fields`: array — List of the specific fields, and the errors found with their contents
      - items:
          - `code` (required): string <constant> — Short identifier for the error, suitable for indicating the specific error within client code
          - `message`: string — Description of the problem with the contents of the field
          - `path` (required): string <json-path> — JSONPath referring to the field within the submitted data containing an error
  - `message`: string — Description of the error

**401** — Authentication info not sent or invalid

Content-Type: `application/json`

Schema:

- object
  - `code` (required): string <constant> — Short identifier for the error, suitable for indicating the specific error within client code
  - `fields`: array — List of the specific fields, and the errors found with their contents
      - items:
          - `code` (required): string <constant> — Short identifier for the error, suitable for indicating the specific error within client code
          - `message`: string — Description of the problem with the contents of the field
          - `path` (required): string <json-path> — JSONPath referring to the field within the submitted data containing an error
  - `message`: string — Description of the error

**403** — Authenticated user is not allowed access

Content-Type: `application/json`

Schema:

- object
  - `code` (required): string <constant> — Short identifier for the error, suitable for indicating the specific error within client code
  - `fields`: array — List of the specific fields, and the errors found with their contents
      - items:
          - `code` (required): string <constant> — Short identifier for the error, suitable for indicating the specific error within client code
          - `message`: string — Description of the problem with the contents of the field
          - `path` (required): string <json-path> — JSONPath referring to the field within the submitted data containing an error
  - `message`: string — Description of the error

**404** — Certificate id not found

Content-Type: `application/json`

Schema:

- object
  - `code` (required): string <constant> — Short identifier for the error, suitable for indicating the specific error within client code
  - `fields`: array — List of the specific fields, and the errors found with their contents
      - items:
          - `code` (required): string <constant> — Short identifier for the error, suitable for indicating the specific error within client code
          - `message`: string — Description of the problem with the contents of the field
          - `path` (required): string <json-path> — JSONPath referring to the field within the submitted data containing an error
  - `message`: string — Description of the error

**409** — Certificate state does not allow renew

Content-Type: `application/json`

Schema:

- object
  - `code` (required): string <constant> — Short identifier for the error, suitable for indicating the specific error within client code
  - `fields`: array — List of the specific fields, and the errors found with their contents
      - items:
          - `code` (required): string <constant> — Short identifier for the error, suitable for indicating the specific error within client code
          - `message`: string — Description of the problem with the contents of the field
          - `path` (required): string <json-path> — JSONPath referring to the field within the submitted data containing an error
  - `message`: string — Description of the error

**422** — `csr` is invalid

Content-Type: `application/json`

Schema:

- object
  - `code` (required): string <constant> — Short identifier for the error, suitable for indicating the specific error within client code
  - `fields`: array — List of the specific fields, and the errors found with their contents
      - items:
          - `code` (required): string <constant> — Short identifier for the error, suitable for indicating the specific error within client code
          - `message`: string — Description of the problem with the contents of the field
          - `path` (required): string <json-path> — JSONPath referring to the field within the submitted data containing an error
  - `message`: string — Description of the error

**500** — Internal server error

Content-Type: `application/json`

Schema:

- object
  - `code` (required): string <constant> — Short identifier for the error, suitable for indicating the specific error within client code
  - `fields`: array — List of the specific fields, and the errors found with their contents
      - items:
          - `code` (required): string <constant> — Short identifier for the error, suitable for indicating the specific error within client code
          - `message`: string — Description of the problem with the contents of the field
          - `path` (required): string <json-path> — JSONPath referring to the field within the submitted data containing an error
  - `message`: string — Description of the error

## POST /v1/certificates/{certificateId}/revoke

Revoke active certificate

Use revoke call to revoke an active certificate, if the certificate has not been issued a 404 response will be returned.

### Path parameters

| Name | Type | Required | Description |
|------|------|----------|-------------|
| `certificateId` | string | yes | Certificate id to revoke |

### Request body (required)

The certificate revocation request

Content-Type: `application/json`

Schema:

- object
  - `reason` (required): string — Reason for revocation
    - enum: "AFFILIATION_CHANGED", "CESSATION_OF_OPERATION", "KEY_COMPROMISE", "PRIVILEGE_WITHDRAWN", "SUPERSEDED"

### Responses

**204** — Certificate Revoked

**400** — Request was malformed

Content-Type: `application/json`

Schema:

- object
  - `code` (required): string <constant> — Short identifier for the error, suitable for indicating the specific error within client code
  - `fields`: array — List of the specific fields, and the errors found with their contents
      - items:
          - `code` (required): string <constant> — Short identifier for the error, suitable for indicating the specific error within client code
          - `message`: string — Description of the problem with the contents of the field
          - `path` (required): string <json-path> — JSONPath referring to the field within the submitted data containing an error
  - `message`: string — Description of the error

**401** — Authentication info not sent or invalid

Content-Type: `application/json`

Schema:

- object
  - `code` (required): string <constant> — Short identifier for the error, suitable for indicating the specific error within client code
  - `fields`: array — List of the specific fields, and the errors found with their contents
      - items:
          - `code` (required): string <constant> — Short identifier for the error, suitable for indicating the specific error within client code
          - `message`: string — Description of the problem with the contents of the field
          - `path` (required): string <json-path> — JSONPath referring to the field within the submitted data containing an error
  - `message`: string — Description of the error

**403** — Authenticated user is not allowed access

Content-Type: `application/json`

Schema:

- object
  - `code` (required): string <constant> — Short identifier for the error, suitable for indicating the specific error within client code
  - `fields`: array — List of the specific fields, and the errors found with their contents
      - items:
          - `code` (required): string <constant> — Short identifier for the error, suitable for indicating the specific error within client code
          - `message`: string — Description of the problem with the contents of the field
          - `path` (required): string <json-path> — JSONPath referring to the field within the submitted data containing an error
  - `message`: string — Description of the error

**404** — Certificate id not found

Content-Type: `application/json`

Schema:

- object
  - `code` (required): string <constant> — Short identifier for the error, suitable for indicating the specific error within client code
  - `fields`: array — List of the specific fields, and the errors found with their contents
      - items:
          - `code` (required): string <constant> — Short identifier for the error, suitable for indicating the specific error within client code
          - `message`: string — Description of the problem with the contents of the field
          - `path` (required): string <json-path> — JSONPath referring to the field within the submitted data containing an error
  - `message`: string — Description of the error

**409** — Certificate state does not allow revoke

Content-Type: `application/json`

Schema:

- object
  - `code` (required): string <constant> — Short identifier for the error, suitable for indicating the specific error within client code
  - `fields`: array — List of the specific fields, and the errors found with their contents
      - items:
          - `code` (required): string <constant> — Short identifier for the error, suitable for indicating the specific error within client code
          - `message`: string — Description of the problem with the contents of the field
          - `path` (required): string <json-path> — JSONPath referring to the field within the submitted data containing an error
  - `message`: string — Description of the error

**500** — Internal server error

Content-Type: `application/json`

Schema:

- object
  - `code` (required): string <constant> — Short identifier for the error, suitable for indicating the specific error within client code
  - `fields`: array — List of the specific fields, and the errors found with their contents
      - items:
          - `code` (required): string <constant> — Short identifier for the error, suitable for indicating the specific error within client code
          - `message`: string — Description of the problem with the contents of the field
          - `path` (required): string <json-path> — JSONPath referring to the field within the submitted data containing an error
  - `message`: string — Description of the error

## GET /v1/certificates/{certificateId}/siteSeal

Get Site seal

<p>This method is used to obtain the site seal information for an issued certificate. A site seal is a graphic that the certificate purchaser can embed on their web site to show their visitors information about their SSL certificate. If a web site visitor clicks on the site seal image, a pop-up page is displayed that contains detailed information about the SSL certificate. The site seal token is used to link the site seal graphic image to the appropriate certificate details pop-up page display when a user clicks on the site seal. The site seal images are expected to be static images and hosted on the reseller's website, to minimize delays for customer page load times.</p>

### Path parameters

| Name | Type | Required | Description |
|------|------|----------|-------------|
| `certificateId` | string | yes | Certificate id |

### Query parameters

| Name | Type | Required | Description |
|------|------|----------|-------------|
| `theme` | string | no | This value represents the visual theme of the seal. If seal doesn't exist, default values are used if params not present. If seal does exist, default values will not be used to update unless params present. |
| `locale` | string | no | Determine locale for text displayed in seal image and verification page. If seal doesn't exist, default values are used if params not present. If seal does exist, default values will not be used to update unless params present. |

### Responses

**200** — Site seal retrieved

Content-Type: `application/json`

Schema:

- object
  - `html` (required): string — Certificate Seal HTML

**400** — Request was malformed

Content-Type: `application/json`

Schema:

- object
  - `code` (required): string <constant> — Short identifier for the error, suitable for indicating the specific error within client code
  - `fields`: array — List of the specific fields, and the errors found with their contents
      - items:
          - `code` (required): string <constant> — Short identifier for the error, suitable for indicating the specific error within client code
          - `message`: string — Description of the problem with the contents of the field
          - `path` (required): string <json-path> — JSONPath referring to the field within the submitted data containing an error
  - `message`: string — Description of the error

**401** — Authentication info not sent or invalid

Content-Type: `application/json`

Schema:

- object
  - `code` (required): string <constant> — Short identifier for the error, suitable for indicating the specific error within client code
  - `fields`: array — List of the specific fields, and the errors found with their contents
      - items:
          - `code` (required): string <constant> — Short identifier for the error, suitable for indicating the specific error within client code
          - `message`: string — Description of the problem with the contents of the field
          - `path` (required): string <json-path> — JSONPath referring to the field within the submitted data containing an error
  - `message`: string — Description of the error

**403** — Authenticated user is not allowed access

Content-Type: `application/json`

Schema:

- object
[...]
